QueryInvocationTargetException (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.cache.query

## Class QueryInvocationTargetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.GemFireCheckedException
      - - org.apache.geode.cache.query.QueryException
        - - org.apache.geode.cache.query.QueryInvocationTargetException

- All Implemented Interfaces:
    java.io.Serializable

      public class QueryInvocationTargetException
      extends QueryException

  Thrown if an exception is thrown when a method is invoked during query execution.
  Since:
    GemFire 4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryInvocationTargetException(java.lang.String msg)` Construct an instance of QueryInvalidException
    `QueryInvocationTargetException(java.lang.String msg, java.lang.Throwable cause)` Construct an instance of QueryInvalidException
    `QueryInvocationTargetException(java.lang.Throwable cause)` Construct an instance of QueryInvalidException

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireCheckedException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryInvocationTargetException

          public QueryInvocationTargetException(java.lang.Throwable cause)

      Construct an instance of QueryInvalidException
      Parameters:
        `cause` - a Throwable cause of this exception

    - #### QueryInvocationTargetException

          public QueryInvocationTargetException(java.lang.String msg)

      Construct an instance of QueryInvalidException
      Parameters:
        `msg` - the error message

    - #### QueryInvocationTargetException

          public QueryInvocationTargetException(java.lang.String msg,
                                                java.lang.Throwable cause)

      Construct an instance of QueryInvalidException
      Parameters:
        `msg` - the error message
        `cause` - a Throwable cause of this exception